Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.nativebinaries.toolchain
[Java] Interface VisualCpp

    org.gradle.nativebinaries.toolchain.VisualCpp
      org.gradle.nativebinaries.ToolChain
          org.gradle.api.Named

All Superinterfaces:
  ToolChain, Named

    @Incubating
    public interface VisualCpp
    extends ToolChain

The Visual C++ tool chain.

Method Summary
`File` | `getInstallDir()` The directory where Visual Studio or Visual C++ is installed.
`File` | `getWindowsSdkDir()` The directory where Windows SDK is installed.
`void` | `setInstallDir(Object installDir)` The directory where Visual Studio or Visual C++ is installed.
`void` | `setWindowsSdkDir(Object installDir)` The directory where Windows SDK is installed.

Methods inherited from interface Named
getName

Method Detail

### getInstallDir

    public File getInstallDir()

  The directory where Visual Studio or Visual C++ is installed.

### getWindowsSdkDir

    public File getWindowsSdkDir()

  The directory where Windows SDK is installed.

### setInstallDir

    public void setInstallDir(Object installDir)

  The directory where Visual Studio or Visual C++ is installed.

### setWindowsSdkDir

    public void setWindowsSdkDir(Object installDir)

  The directory where Windows SDK is installed.

Gradle API 1.10